#
# spec file for package python-pytest-flake8
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-flake8
Version:        1.0.4
Release:        bp153.1.104
Summary:        Plugin for pytest to check FLAKE8 requirements
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/tholo/pytest-flake8
Source:         https://files.pythonhosted.org/packages/source/p/pytest-flake8/pytest-flake8-%{version}.tar.gz
BuildRequires:  %{python_module flake8 >= 3.5}
BuildRequires:  %{python_module pytest >= 3.5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-flake8 >= 3.5
Requires:       python-pytest >= 3.5
BuildArch:      noarch
%python_subpackages

%description
Plugin for py.test for efficiently checking PEP8 compliance.

%prep
%setup -q -n pytest-flake8-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v

%files %{python_files}
%license LICENSE
%doc CHANGELOG README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Remove unused devel dependency
- Update requirements to match reality
* Mon Feb 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Make sure we really really execute tests
* Wed Feb  6 2019 alarrosa@suse.com
- Update to version 1.0.4:
  * Support flake8 3.7+ by checking existence of "app.make_notifier"
  * More fixes for Travis CI -- properly specify Python versions, in
    particular for pypy (and fix a typo)
- Update to version 1.0.3:
  * Don't use long deprecated functions from pytest, broke with pytest 4.1.0
  * Fix typo that caused some tests to not run as expected
  * Run Travis CI tests against Python 3.7, and fix some issues with current tox
- Update to version 1.0.2:
  * Test on Python 3.7
  * Escape a regex tring with r""
* Sun May  6 2018 arun@gmx.de
- update to version 1.0.1:
  * Correct junit XML output for pytest 3.5.x
* Sun Apr 15 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.0.0:
  * Honor ignore settings in default flake8 config section; from
    brianbruggeman@github
  * Improve junit XML output; from Struan Judd
* Mon Oct 30 2017 arun@gmx.de
- update to version 0.9.1:
  * Do continuous integration with Travis; from alex-dr@github
  * Declare compatibility with Python 3.6
* Wed Oct 25 2017 arun@gmx.de
- update to version 0.9:
  * Extend options already loaded instead of replacing them; from
    mforbes@github
  * Correct some issues preventing proper operation with flake8 3.5.0;
    from jezdez@github
  * Register pytest marker for flake8; from alex-dr@github
* Tue Aug 22 2017 toddrme2178@gmail.com
- Initial version
